Package com.collibra.dgc.core.api.dto.meta.assettype

# Class AddAssetTypeRequest

Object
AddAssetTypeRequest

All Implemented Interfaces:
  `Serializable`

public class AddAssetTypeRequest extends Object implements Serializable
The properties of the Asset Type to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddAssetTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAssetTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAssetTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAcronymCode()`
  A code representing the acronym that should be shown.
  `String`
  `getColor()`
  The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).
  `String`
  `getDescription()`
  The description of the new Asset Type.
  `boolean`
  `getDisplayNameEnabled()`
  Deprecated.
  This method will be removed in the future.
  `String`
  `getIconCode()`
  The icon code, a code representing the icon that should be shown.
  `UUID`
  `getId()`
  The UUID that will be assigned to the new Asset Type.
  `String`
  `getName()`
  Required. The name of the new Asset Type.
  `UUID`
  `getParentId()`
  The ID of the parent for the new Asset Type.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Asset Type.
  `boolean`
  `getRatingEnabled()`
  Deprecated.
  This method will be removed in the future.
  `AssetTypeSymbolType`
  `getSymbolType()`
  Required. The symbol type.
  `int`
  `hashCode()`
  `boolean`
  `isDisplayNameEnabled()`
  Whether the display name should be enabled for all Assets of the type being created.
  `boolean`
  `isRatingEnabled()`
  Whether ratings should be enabled for all Assets of the type being created.
  `void`
  `setAcronymCode(String acronymCode)`
  A code representing the acronym that should be shown.
  `void`
  `setColor(String color)`
  The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).
  `void`
  `setDescription(String description)`
  The description of the new Asset Type.
  `void`
  `setDisplayNameEnabled(boolean displayNameEnabled)`
  Required. Whether the display name should be enabled for all Assets of the type being created.
  `void`
  `setIconCode(String iconCode)`
  The icon code, a code representing the icon that should be shown.
  `void`
  `setId(UUID id)`
  The UUID that will be assigned to the new Asset Type.
  `void`
  `setName(String name)`
  Required. The name of the new Asset Type.
  `void`
  `setParentId(UUID parentId)`
  The ID of the parent for the new Asset Type.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Asset Type.
  `void`
  `setRatingEnabled(boolean ratingEnabled)`
  Required. Whether ratings should be enabled for all Assets of the type being created.
  `void`
  `setSymbolType(AssetTypeSymbolType symbolType)`
  Required. The symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAssetTypeRequest

    public AddAssetTypeRequest()

- ## Method Details

  - ### isDisplayNameEnabled

    public boolean isDisplayNameEnabled()
    Whether the display name should be enabled for all Assets of the type being created.

  - ### getDisplayNameEnabled

    @Deprecated public boolean getDisplayNameEnabled()
    Deprecated.
    This method will be removed in the future. Please use `isDisplayNameEnabled()`

  - ### isRatingEnabled

    public boolean isRatingEnabled()
    Whether ratings should be enabled for all Assets of the type being created.

  - ### getRatingEnabled

    @Deprecated public boolean getRatingEnabled()
    Deprecated.
    This method will be removed in the future. Please use `isRatingEnabled()`

  - ### builder

    public static AddAssetTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The UUID that will be assigned to the new Asset Type.

    The UUID should be unique within all Asset Types, and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getName

    public String getName()
    Required. The name of the new Asset Type. Should be unique within all Asset Types.

  - ### getDescription

    public String getDescription()
    The description of the new Asset Type.

  - ### getColor

    public String getColor()
    The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).

  - ### getSymbolType

    public AssetTypeSymbolType getSymbolType()
    Required. The symbol type.

  - ### getIconCode

    public String getIconCode()
    The icon code, a code representing the icon that should be shown.

  - ### getAcronymCode

    public String getAcronymCode()
    A code representing the acronym that should be shown. Must have at least 1 and at most 4 alphanumeric characters.

  - ### getParentId

    public UUID getParentId()
    The ID of the parent for the new Asset Type.

  - ### setId

    public void setId(UUID id)
    The UUID that will be assigned to the new Asset Type.

    The UUID should be unique within all Asset Types, and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setName

    public void setName(String name)
    Required. The name of the new Asset Type. Should be unique within all Asset Types.

  - ### setDescription

    public void setDescription(String description)
    The description of the new Asset Type.

  - ### setColor

    public void setColor(String color)
    The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).

  - ### setSymbolType

    public void setSymbolType(AssetTypeSymbolType symbolType)
    Required. The symbol type.

  - ### setIconCode

    public void setIconCode(String iconCode)
    The icon code, a code representing the icon that should be shown.

  - ### setAcronymCode

    public void setAcronymCode(String acronymCode)
    A code representing the acronym that should be shown. Must have at least 1 and at most 4 alphanumeric characters.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the parent for the new Asset Type.

  - ### setDisplayNameEnabled

    public void setDisplayNameEnabled(boolean displayNameEnabled)
    Required. Whether the display name should be enabled for all Assets of the type being created.

  - ### setRatingEnabled

    public void setRatingEnabled(boolean ratingEnabled)
    Required. Whether ratings should be enabled for all Assets of the type being created.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`